MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026476Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-24 10:202015-10-23 20:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026476: Visualization, TKOpenGl - do not enable GL_NORMALIZE in core profile
DescriptionGL_NORMALIZE has been removed from OpenGL Core Profile, and thus should not be used.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024838closedbugmaster Open CASCADE Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 

-  Notes
(0043378)
git (administrator)
2015-07-24 10:23

Branch CR26476 has been created by kgv.

SHA-1: fc80db82ddb5b1dbeb2d7a7ddf1e306ce073a40a


Detailed log of new commits:

Author: kgv
Date: Fri Jul 24 10:22:07 2015 +0300

    0026476: Visualization, TKOpenGl - do not enable GL_NORMALIZE in core profile
(0043379)
kgv (developer)
2015-07-24 10:24

Please test the patch.
(0043592)
apn (administrator)
2015-07-27 15:38

Dear BugMaster,

Branch CR26476 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: fc80db82ddb5b1dbeb2d7a7ddf1e306ce073a40a

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 100083650 / 99807135 [+0.28%]
Total CPU difference: 17524.809999999503 / 17364.409999999345 [+0.92%]

Testing on Windows:
Total MEMORY difference: 57514393 / 58525587 [-1.73%]
Total CPU difference: 16041.879231899047 / 16847.42159559928 [-4.78%]
(0044163)
git (administrator)
2015-08-14 10:54

Branch CR26476 has been deleted by inv.

SHA-1: fc80db82ddb5b1dbeb2d7a7ddf1e306ce073a40a

- Related Changesets
occt: master 39070532
Timestamp: 2015-07-24 07:22:07
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026476: Visualization, TKOpenGl - do not enable GL_NORMALIZE in core profile
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-24 10:20 kgv New Issue
2015-07-24 10:20 kgv Assigned To => kgv
2015-07-24 10:23 git Note Added: 0043378
2015-07-24 10:24 kgv Note Added: 0043379
2015-07-24 10:24 kgv Assigned To kgv => bugmaster
2015-07-24 10:24 kgv Status new => resolved
2015-07-24 10:24 kgv Status resolved => reviewed
2015-07-24 10:24 kgv Relationship added child of 0024838
2015-07-24 10:27 kgv Relationship added related to 0025276
2015-07-24 17:34 apv Assigned To bugmaster => apv
2015-07-27 11:27 apv Assigned To apv => apn
2015-07-27 15:38 apn Note Added: 0043592
2015-07-27 15:39 apn Test case number => Not needed
2015-07-27 15:39 apn Assigned To apn => bugmaster
2015-07-27 15:39 apn Status reviewed => tested
2015-07-31 12:31 bugmaster Changeset attached => occt master 39070532
2015-07-31 12:31 bugmaster Status tested => verified
2015-07-31 12:31 bugmaster Resolution open => fixed
2015-08-14 10:54 git Note Added: 0044163
2015-08-26 10:59 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker